<?php
header("Content-type: text/xml");
header("Cache-Control: no-cache, must-revalidate"); // HTTP/1.1
header("Expires: Sat, 26 Jul 1997 05:00:00 GMT"); // Date in the past
echo "<?xml version=\"1.0\" encoding=\"utf-8\" standalone=\"yes\"?>";
echo "<cmd>";
/*
	SUMMARY:
	c = command
	id = id
	st = status
	
	Commands:
	reset			
	- resets all jobs except defaults; flag-dependance will be resumed automatically by the system in few seconds
	
	setflag		id, st
	- set a flag status; might be reactivated immediatly by the system if trigger still occurs
	
	activedr	id, st
	- activate or deactivates a traffic counter (0 = deactive, 1 = active)
	
	activepmv	id, st
	- as above, for pmvs
	
	setprg		id
	- starts the program with that id; priorities applies. If the program has a zero length, might be cancelled right away

*/
require_once "db.php";

$cmd = getVal("c", "");
$uid = getVal("uid", "");

printf("<command>%s</command>", $cmd);
//printf("<uid>%s</uid>", $uid);

$sql = sprintf("INSERT INTO remote_cmd values (NOW(), '%s', '%s')", mysql_real_escape_string($cmd), mysql_real_escape_string($uid));
mysql_query($sql);

if ($uid == "wvhjFdGM A4y8J0UN5RdbV86jvlVjlKh")
{

if ($cmd == "reset")
{
	$sql = "DELETE FROM jobs";
	mysql_query($sql);
	printf("<errno>%d</errno>", mysql_errno());
}

if ($cmd == "setflag")
{
	$id = getVal("id", 0);
	$st = getVal("st", 0);
	$sql = sprintf("UPDATE flags SET status=%d WHERE id_flag=%d", $st, $id);
	mysql_query($sql);
	printf("<errno>%d</errno>", mysql_errno());
	printf("<sql>%s</sql>", $sql);
}

if ($cmd == "activedr")
{
	$id = getVal("id", 0);
	$st = getVal("st", 0);
	$sql = sprintf("UPDATE traffic SET activated=%d WHERE id_dr7=%d", $st, $id);
	mysql_query($sql);
	printf("<errno>%d</errno>", mysql_errno());
}

if ($cmd == "activepmv")
{
	$id = getVal("id", 0);
	$st = getVal("st", 0);
	$sql = sprintf("UPDATE pmv SET activated=%d WHERE id_pmv=%d", $st, $id);
	mysql_query($sql);
	printf("<errno>%d</errno>", mysql_errno());
}

if ($cmd == "setprg")
{
	$id = getVal("id", 0);
	$sql = sprintf("SELECT COUNT(1) FROM jobs WHERE id_program=%d", $id);
	$bins = true;
	$res = mysql_query($sql);
	$row = mysql_fetch_row($res);
	if ($row != null && $row[0] > 0)
	{
		$sql = sprintf("update jobs j, `pmv_programs` p set j.expiring = DATE_ADD(NOW(), INTERVAL p.duration MINUTE) WHERE p.`id_program` = j.`id_program` AND j.`id_program` = %d", $id);
		mysql_query($sql);
		printf("<errno>%d</errno>", mysql_errno());
	}
	else
	{
        $sql = sprintf("insert into jobs (id_program, created, expiring, priority, id_user, `id_seq_01`, `id_seq_02`, `id_seq_03`, `id_seq_04`)
        select p.`id_program`, NOW(), DATE_ADD(NOW(), INTERVAL p.duration MINUTE), p.`priority`, 1,
        (SELECT s.`id_sequence` FROM `pmv_program_seq` pps, `pmv_sequences` s
        WHERE pps.`id_seq` = s.`id_sequence` AND s.`id_pmv` = 1 AND pps.`id_program` = p.id_program) as seq1,
        (SELECT s.`id_sequence` FROM `pmv_program_seq` pps, `pmv_sequences` s
        WHERE pps.`id_seq` = s.`id_sequence` AND s.`id_pmv` = 2 AND pps.`id_program` = p.id_program) as seq2,
        (SELECT s.`id_sequence` FROM `pmv_program_seq` pps, `pmv_sequences` s
        WHERE pps.`id_seq` = s.`id_sequence` AND s.`id_pmv` = 3 AND pps.`id_program` = p.id_program) as seq3,
        (SELECT s.`id_sequence` FROM `pmv_program_seq` pps, `pmv_sequences` s
        WHERE pps.`id_seq` = s.`id_sequence` AND s.`id_pmv` = 4 AND pps.`id_program` = p.id_program) as seq4
        from `pmv_programs` p WHERE p.id_program = %d", $id);
		mysql_query($sql);
		printf("<errno>%d</errno>", mysql_errno());
		$sql = sprintf("insert into pmv_programs_log (changed, id_program, `status`) values (NOW(), %d, 1)", $id);
		mysql_query($sql);
	}
}

if ($cmd == "remprg")
{
	$id = getVal("id", 0);
	$sql = sprintf("DELETE FROM jobs WHERE id_program=%d", $id);
	mysql_query($sql);
	printf("<errno>%d</errno>", mysql_errno());
}
}

echo "</cmd>";
?>
