<?php

header("Content-type: text/xml");
header("Cache-Control: no-cache, must-revalidate"); // HTTP/1.1
header("Expires: Sat, 26 Jul 1997 05:00:00 GMT"); // Date in the past
echo "<?xml version=\"1.0\" encoding=\"utf-8\" standalone=\"yes\"?>";
echo "<dr7>";
require_once "db.php";

$dr7 = getVal("id", 0);



$sql = sprintf("SELECT survey, f.`description`,
SUM(IF(direction=1,speed_average,0)) as s1, SUM(IF(direction=1, vehicles, 0)) as v1, SUM(IF(direction=1, queue_status, 0)) as q1,
SUM(IF(direction=2,speed_average,0)) as s2, SUM(IF(direction=2, vehicles, 0)) as v2, SUM(IF(direction=2, queue_status, 0)) as q2, activated
FROM `web_traffic` t, traffic f WHERE f.`id_dr7` = t.`id_dr7` AND t.id_dr7 = %d and survey = (select max(survey) from web_traffic where id_dr7 = %d)
group by t.id_dr7", $dr7, $dr7);
$res = mysql_query($sql);
while ($row = mysql_fetch_row($res))
{
	printf("<id>%d</id>", $dr7);
	printf("<last>%s</last>", date("j/n/Y H:i:s", strtotime($row[0])));
	printf("<name>%s</name>", $row[1]);
	printf("<speed_1>%d</speed_1>", $row[2]);
	printf("<cars_1>%d</cars_1>", $row[3]);
	printf("<queue_1>%d</queue_1>", $row[4]);
	printf("<speed_2>%d</speed_2>", $row[5]);
	printf("<cars_2>%d</cars_2>", $row[6]);
	printf("<queue_2>%d</queue_2>", $row[7]);
	printf("<active>%d</active>", $row[8]);
}
echo "<connections>";
$sql = sprintf("SELECT created, updated, TIMEDIFF(updated, created) as tdif, connected, hits FROM `traffic_poll_log_2` t where id_dr7 = %d and (created >= NOW() - interval 1 day or updated >= NOW() - interval 1 day) and updated IS NOT NULL order by created desc", $dr7);
$res = mysql_query($sql);
while ($row = mysql_fetch_row($res))
{
	echo "<connection>";
	printf("<from>%s</from>", date("j/n/Y H:i:s", strtotime($row[0])));
	printf("<to>%s</to>", date("j/n/Y H:i:s", strtotime($row[1])));
	printf("<duration>%s</duration>", $row[2]);
	printf("<status>%d</status>",$row[3]);
	printf("<hits>%d</hits>", $row[4]);
	echo "</connection>";
}
echo "</connections>";
echo "</dr7>";
?>
